| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-networks/{id} | Shows information for a specified network. |
Normal response codes: 200
This table shows the URI parameters for the show network information request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
| UUID | The unique identifier associated with the network. |
This operation does not require a request body.
Example 3.260. Show network information: JSON response
{
"network": {
"bridge": "br100",
"bridge_interface": "eth0",
"broadcast": "10.0.0.7",
"cidr": "10.0.0.0/29",
"cidr_v6": null,
"created_at": "2011-08-15 06:19:19.387525",
"deleted": false,
"deleted_at": null,
"dhcp_start": "10.0.0.3",
"dns1": null,
"dns2": null,
"gateway": "10.0.0.1",
"gateway_v6": null,
"host": "nsokolov-desktop",
"id": "20c8acc0-f747-4d71-a389-46d078ebf047",
"injected": false,
"label": "mynet_0",
"multi_host": false,
"netmask": "255.255.255.248",
"netmask_v6": null,
"priority": null,
"project_id": "1234",
"rxtx_base": null,
"updated_at": "2011-08-16 09:26:13.048257",
"vlan": 100,
"vpn_private_address": "10.0.0.2",
"vpn_public_address": "127.0.0.1",
"vpn_public_port": 1000
}
}Example 3.261. Show network information: XML response
<?xml version='1.0' encoding='UTF-8'?> <network> <bridge>br100</bridge> <vpn_public_port>1000</vpn_public_port> <dhcp_start>10.0.0.3</dhcp_start> <bridge_interface>eth0</bridge_interface> <updated_at>2011-08-16 09:26:13.048257</updated_at> <id>20c8acc0-f747-4d71-a389-46d078ebf047</id> <cidr_v6>None</cidr_v6> <deleted_at>None</deleted_at> <gateway>10.0.0.1</gateway> <rxtx_base>None</rxtx_base> <label>mynet_0</label> <priority>None</priority> <project_id>1234</project_id> <vpn_private_address>10.0.0.2</vpn_private_address> <deleted>False</deleted> <vlan>100</vlan> <broadcast>10.0.0.7</broadcast> <netmask>255.255.255.248</netmask> <injected>False</injected> <cidr>10.0.0.0/29</cidr> <vpn_public_address>127.0.0.1</vpn_public_address> <multi_host>False</multi_host> <dns2>None</dns2> <created_at>2011-08-15 06:19:19.387525</created_at> <host>nsokolov-desktop</host> <gateway_v6>None</gateway_v6> <netmask_v6>None</netmask_v6> <dns1>None</dns1> </network>
This operation does not return a response body.

